<?xml version="1.0"?>

<odoo>
    
    <record id="view_partner_form" model="ir.ui.view">
        <field name="name">kalachakra.res.partner.form</field>
        <field name="model">res.partner</field>
        <field name="inherit_id" ref="base.view_partner_form" />
        <field name="arch" type="xml">
            
            <xpath expr="//page[@name='internal_notes']" position="before">
            <page name="Sources info" string="Sources info">
            <group name="Sources info" string="Sources info" col="6">
            <field name="external_id"/>
            <field name="statut_contact"/>
            <field name="date_creation_contact"/> 
            <field name="origine"/> 
            <field name="date_adhesion"/>
            </group>
            </page>
            </xpath>
            
            
           <xpath expr="//field[@name='name']" position="after">
            <field name="member_status" widget='label_selection'/>
            <field name="super_member"/>
            
            </xpath>
           
        </field>


        
    </record>

    <record id="view_partner_tree" model="ir.ui.view">
        <field name="name">kalachakra.res.partner.tree</field>
        <field name="model">res.partner</field>
        <field name="inherit_id" ref="base.view_partner_tree" />
        <field name="arch" type="xml">
            
            <xpath expr="//field[@name='email']" position="after">
            
            <field name="member_status"/>
            </xpath>
            
        </field>


        
    </record>

    <record id="res_partner_view_search" model="ir.ui.view">
            <field name="name">kalachakra.res.partner.search</field>
            <field name="model">res.partner</field>
            <field name="inherit_id" ref="donation_base.res_partner_view_search" />
            <field name="arch" type="xml">
                    <filter name="donor" position="after">
                        <filter
                    string="members"
                    name="member"
                    domain="[('member_status','=', 'member')]"
                />
                <filter
                    string="super members"
                    name="super_member"
                    domain="[('super_member','=', True)]"
                />
                </filter>
            </field>
    </record>

    
 


       
    
</odoo>
